linuxlogo (6.0-0.1+loong64) unreleased; urgency=medium

  * Add LoongArch support.
  * 

 -- JiaLing Zhang <zhangjialing@loongson.cn>  Mon, 16 Oct 2023 07:38:44 +0000

linuxlogo (6.0-0.1) unstable; urgency=medium

  * NMU: Non-Maintainer Upload
  * New Upstream release
    - Can read amount of system RAM w/o privs (closes: #839594)
    - Update debian/rules for dh13 and new release
    - Update debian/linuxlogo.docs to upstream changes
    - Forward port quilt patches, all but 3 have been upstreamed
    - Add quilt patch so po/Makefile uses DESTDIR
    - Add quilt patch to use fscanf return value
  * Bump debhelper from deprecated 9 to 13.
  * Bump to Debian Policy 4.5.1.
  * Use secure copyright file specification URI.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Repository, Repository-Browse,
    Bug-Database, Bug-Submit.
  * Update Vcs-* headers to use salsa repository.
  * Trim trailing whitespace in changelog.
  * Fix day-of-week for changelog entry 3.9b4-1.2.
  * Update watch file format version to 4.
  * Rules-Requires-Root: no
  * Add pre-dependency per lintian
  * Fix FTCBFS: Export a suitable CROSS variable (Closes: #972289),
    thanks to Helmut Grohne <helmut@subdivi.de>
  * Flush ./potmp/ stuff, backup/restore po/linux_logo.pot instead
  * Enable full hardening flags

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 31 Jan 2021 23:53:23 +0000

linuxlogo (5.11-9) unstable; urgency=medium

  * Changed maintainer's email
  * Update copyright to 2016, added logo's Author
  * Add patch with indonesian translation (Closes: #833391)
  * Add patch with BlankOn distro logo

 -- Dariusz Dwornikowski <darek@debian.org>  Tue, 20 Sep 2016 13:08:48 +0200

linuxlogo (5.11-8.1) unstable; urgency=medium

  [ Axel Beckert ]
  * Non-maintainer upload with maintainer's permission.
  * Choose vendor-based default logo at build time:
    + On Ubuntu and derivatives, it shows the "ubuntu" logo.
    + On Raspbian and derivatives, it shows the "raspi" logo.
    + Else it shows the same Debian logo as before ("debian_banner_2").
    + Fixes LP: #1088889 and LP: #1364624.
  * Properly escape "\" in logos when being fed to getty (Closes: #819926)
  * Add patch to support arm64 aka aarch64 (Closes: #791929)
  * Fix spelling errors found by lintian in README.Debian and man page.
  * Enable bindnow hardening flags.
  * Switch Vcs-* headers to https:// and cgit.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Make nearly-DEP5-compliant debian/copyright DEP5-compliant.
  * Update packaging copyright in debian/copyright.
  * Fix build log scanner warnings by properly passing $CFLAGS and
    $CPPFLAGS through libsysinfo-0.2.2/configure.

  [ Dariusz Dwornikowski ]

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Tue, 20 Sep 2016 13:08:45 +0200

linuxlogo (5.11-8) unstable; urgency=medium

  * debian/control: Standards bumbed to 3.9.6, no changes needed
  * debian/rules:
    - added LC_ALL=C to sort to fix reproducible builds (Closes: #792783)
  * Added debian/gbp.conf

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Mon, 20 Jul 2015 11:14:48 +0200

linuxlogo (5.11-7) unstable; urgency=medium

  * install_linux_logo script added (Closes: #615845)
  * Documented usage with systemd (Closes: #750781)
  * Architecture changed to linux-any

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sat, 09 Aug 2014 13:01:20 +0200

linuxlogo (5.11-6) unstable; urgency=medium

  * Patch added to support power7 and power8 processors, Thanks Bruno Leitao
    (Closes: #748980)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sun, 25 May 2014 12:44:38 +0200

linuxlogo (5.11-5) unstable; urgency=medium

  * Added Vcs-Git and Vcs-Browser to d/control
  * Hardening, closes hardening-no-relro lintian flag

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Wed, 14 May 2014 18:58:08 +0200

linuxlogo (5.11-4) unstable; urgency=medium

  * Migrated to dh
  * New maintainer (Closes: #726550)
  * Bump standards to 3.9.5
  * New logos added (Raspberry PI and OpenBSD)
  * Migrated to quilt 3.0 format
  * Quilt used as a patch system

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Thu, 26 Dec 2013 20:08:36 +0100

linuxlogo (5.11-3) unstable; urgency=low

  * Orphan package

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 05 Jul 2012 11:53:01 +0200

linuxlogo (5.11-2) unstable; urgency=low

  * Fix typo in Debian Version output (Closes: #646955)
  * Add new Debian Theme by Ulrik Sverdrup; many thanks!
    (Closes: #680210)
    * Add it as debian/patches/new_debian_logo.patch to integrate
      it better into the build system.
      Source may be found in debian/debian-banner-2.logo.
    * Update debian/local/linux_logo.conf
  * Also reactivate quilt in debian/rules and readd quilt as build-depends
  * Bump standards to 3.9.3 (no changes needed)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 05 Jul 2012 11:48:22 +0200

linuxlogo (5.11-1) unstable; urgency=low

  * New Upstream release
  * Fix Vcs-Svn-Header in debian/control after alioth move
  * Apply patch from Peter Eisentraut to add status report to the init
    script (Closes: #645291)
  * Bump standards to 3.9.2 (no changes needed)
  * Add recommended targets to debian/rules
  * Display Debian Version (Closes: #187661)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sat, 15 Oct 2011 16:48:49 +0200

linuxlogo (5.10-1) unstable; urgency=low

  * New upstream release.
  * Drop patches/01-s390x.patch and patches/02-sh.patch
    (both were pplied upstream)
  * remove quilt, as we don't have any more patches
  * Add $remote_fs to Required-Start and Required-Stop of the init scripts
    LSB header
  * Bump standards version (no changes needed)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 10 Mar 2010 11:25:34 +0100

linuxlogo (5.07-1) unstable; urgency=medium

  * urgency medium due to unreported RC bug fix
  * Adopting package (Closes: #543886)
  * New upstream release
  * add debian/watch
  * add VCS-Headers to debian/control
  * Add patch to fix buid issue on sh architecure
    (Closes: #545938).
    Thanks to Nobuhiro Iwamatsu for providing the patch!
  * Don't create /var/run/linuxlogo via package
    * it's created on start time from the init-scriot
    * it's removed on purg
    (Thanks to lintian for the hint; that's a policy must)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 18 Jan 2010 16:14:48 +0100

linuxlogo (5.06-2) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 09:54:05 +0200

linuxlogo (5.06-1) unstable; urgency=low

  * Merging upstream version 5.06:
    - Fixes problem with logo naming (Closes: #510813).
  * Readding default logo in linux_logo.conf.
  * Removing dash.patch, not required anymore.
  * Updating logo list in linux_logo.conf.
  * Renaming directory for local debian additions to more common name.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jul 2009 12:40:04 +0200

linuxlogo (5.05-1) unstable; urgency=low

  * Merging upstream version 5.05.
  * Updating package to standards version 3.8.2.
  * Updating rules file to current state of the art.
  * Using correct rfc-2822 date formats in changelog.
  * Rediffing dash.patch.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jul 2009 12:09:50 +0200

linuxlogo (5.04-2) unstable; urgency=low

  * Prefixing debhelper files with package name.
  * Removing default logo in /etc/linux_logo.conf (Closes: #504717).
  * Using debhelper install file to install additional files instead of
    install target in rules.
  * Using quilt instead of dpatch.
  * Adding description in menu file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 26 Dec 2008 10:09:00 +0100

linuxlogo (5.04-1) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Merging upstream version 5.04.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Dec 2008 20:51:00 +0100

linuxlogo (5.03-5) unstable; urgency=low

  * Manually creating /var/run/linuxlog directory through the initscript
    in case /var/run is on a tmpfs (Closes: #412289).
  * Adding symlinks from linux_logo to linuxlogo to go the way of last
    surprise wrt/ package name and binary name.
  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 06 Nov 2008 17:06:00 +0100

linuxlogo (5.03-4) unstable; urgency=medium

  * Adding patch to fix FTBFS on s390x.
  * Updating to standards 3.8.0.

 -- Daniel Baumann <daniel@debian.org>  Fri, 20 Jun 2008 09:19:00 +0200

linuxlogo (5.03-3) unstable; urgency=medium

  * Adding patch to avoid broken argument handling in configure and thus
    fix FTBFS with dash (Closes: #483851).

 -- Daniel Baumann <daniel@debian.org>  Sat, 31 May 2008 19:29:00 +0200

linuxlogo (5.03-2) unstable; urgency=low

  * Using logo name rather than logo number (which is subject of changes
    as soon as new logos are added) in linux_logo.conf (Closes:
    #478429).
  * Sorting logolist alphabetically.

 -- Daniel Baumann <daniel@debian.org>  Tue, 29 Apr 2008 09:46:00 +0200

linuxlogo (5.03-1) unstable; urgency=low

  * Taking over the package, Khalid El Fathi is MIA.
  * Redoing debian packaging from scratch.
  * Merging upstream version 5.03 (Closes: #460685).

 -- Daniel Baumann <daniel@debian.org>  Mon, 28 Apr 2008 13:24:00 +0200

linuxlogo (4.14-5) unstable; urgency=low

  * libsysinfo/Linux/Makefile: Fix FTBFS (arm) and forwarded patch upstream
    (Closes: #397080).

 -- Khalid El Fathi <invent@edena-fr.org>  Thu, 23 Nov 2006 17:43:10 +0100

linuxlogo (4.14-4) unstable; urgency=low

  * libsysinfo/Linux/Makefile: Fix FTBFS (hppa) and forwarded patch upstream
    (Closes: #389299).

 -- Khalid El Fathi <invent@edena-fr.org>  Mon, 25 Sep 2006 14:37:47 +0200

linuxlogo (4.14-3) unstable; urgency=low

  * Patch added "[INTL:sv] Swedish PO translation", thanks to Daniel Nylander
    <yeager@lidkoping.net>; forwarded patch upstream (Closes: #386137).
  * Fixed init.d-script-missing-lsb-section in debian/init.d

 -- Khalid El Fathi <invent@edena-fr.org>  Wed, 06 Sep 2006 15:17:20 +0200

linuxlogo (4.14-2) unstable; urgency=low

  * Patch added "FTBFS (ppc64): No rule to make target 'ppc64', needed by
    'cpuinfo.o'", thanks to Andreas Jochens <aj@andaco.de>; forwarded patch
    upstream (Closes: #385620).

 -- Khalid El Fathi <invent@edena-fr.org>  Fri, 01 Sep 2006 21:38:54 +0200

linuxlogo (4.14-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Added watch file.
  * Patch added "Add lsb logging", thanks to David Hardeman <david@2gen.com>
    (Closes: #152191, #384906).

 -- Khalid El Fathi <invent@edena-fr.org>  Tue, 29 Aug 2006 15:01:16 +0200

linuxlogo (4.13-2) unstable; urgency=low

  * Patchs added and thanks to Javier Fernandez-Sanguino Pena
    <jfs@computer.org>:
    + Fixed "No information on how to configure the prompt to use the logos"
    (Closes: #377376).
  * Patchs added, forwarded upstream and thanks to Javier Fernandez-Sanguino
    Pena <jfs@computer.org>:
    + Fixed "Linuxlogo not displaying other type of logos" and "`linux_log -c'
    does not print a penguin" (Closes: #240824, #335406).
    + Fixed "Random (e.g. -L random_en) doesn't work" (Closes: #206726).
    + Fixed "/etc/linux_logo.conf is not handled like a typical configuration
    file" (Closes: #377379).

 -- Khalid El Fathi <invent@edena-fr.org>  Mon, 10 Jul 2006 10:42:38 +0200

linuxlogo (4.13-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Updated to Standards-Version 3.7.2.
  * Patchs added and forwarded upstream:
    + "Spellings corrected", thanks to Rakesh 'arky' Ambati
    <rakesh_ambati@yahoo.com> (Closes: #321971).
    + "Misleading comment in linux_logo.conf", thanks to Tobias Klauser
    <tklauser@access.unizh.ch> (Closes: #370477).
  * Lintian fixes:
    + debian/copyright: old-fsf-address-in-copyright-file.
    + debian/linux_logo.1: hyphen-used-as-minus-sign and
    FSSTND-dir-in-manual-page in manpage.

 -- Khalid El Fathi <invent@edena-fr.org>  Mon, 03 Jul 2006 16:46:31 +0200

linuxlogo (4.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/postrm: Call init.d script via invoke-rc.d, if it is available.
    (Closes: #367722)

 -- Lars Wirzenius <liw@iki.fi>  Sun, 25 Jun 2006 12:13:21 +0300

linuxlogo (4.12-2) unstable; urgency=low

  * Updated to Standards-Version 3.6.2.
  * Bug fix: "Preinst not compatible with file-rc", Modified code in preinst
    to remove "update-rc.d -f linuxlogo remove > /dev/null" if
    "/etc/rc*.d/linuxlogo" exists. (Closes: #292741).

 -- Khalid El Fathi <invent@edena-fr.org>  Mon, 27 Jun 2005 11:21:59 +0200

linuxlogo (4.12-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "Preinst not compatible with file-rc" (Closes: #292741).
  * Added patch "Correct name of Danish translation and update translation",
    thanks to Claus Hindsgaul <claus_h@image.dk> (Closes: #305502).

 -- Khalid El Fathi <invent@edena-fr.org>  Thu, 05 May 2005 17:23:27 +0200

linuxlogo (4.10-1) unstable; urgency=low

  * New upstream release (Closes: #303981).
  * Added patch "Patch to improve initscript output", thanks to Thomas Hood
    <jdthood@aglu.demon.nl> (Closes: #294828).
  * Added patch "Don't display the logo on upgrade", thanks to Thomas Hood
    <jdthood@aglu.demon.nl> (Closes: #202480).
  * Moved files /etc/issue.linuxlogo /etc/issue.linuxlogo.ascii under
    /var/run/linuxlogo and create symlink in /etc (Closes: #292740).

 -- Khalid El Fathi <invent@edena-fr.org>  Sun, 10 Apr 2005 23:21:16 +0200

linuxlogo (4.09-2) unstable; urgency=low

  * Added patch: "FTBFS (amd64/gcc-4.0): invalid lvalue in assignment", thanks
    to Andreas Jochens <aj@andaco.de>; forwarded patch upstream
    (Closes: #287488).
  * Update the file README.Debian (Closes: #287534, #177033).
  * Bug fix: "Examples file is not unseful at all" (Closes: #177034).
  * Bug fix: "The .SM macro in the DESCRIPTION section of the man page",
    forwarded patch upstream (Closes: #280314).

 -- Khalid El Fathi <invent@edena-fr.org>  Thu, 30 Dec 2004 11:10:34 +0100

linuxlogo (4.09-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (Daniel Baumann did not see that I adopted the package
    before him).
  * debian/patches/sparc.sysinfo.patch remove.

 -- Khalid El Fathi <invent@edena-fr.org>  Thu, 25 Nov 2004 22:07:39 +0100

linuxlogo (4.07-2) unstable; urgency=low

  * New maintainer (Closes: #256685).
  * debian/*: updated to new policy.
  * debian/CVS and debian/patches/CVS removed.
  * debian/README.debian to README.Debian renamed.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Wed, 24 Nov 2004 17:04:00 +0100

linuxlogo (4.07-1) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/changelog: convert to UTF-8
  * Incorporates previous NMU (closes: #194984)

 -- Andrew Pollock <apollock@debian.org>  Mon, 15 Nov 2004 16:00:14 +1100

linuxlogo (4.07-0.1) unstable; urgency=low

  * NMU.
  * DebConf3 upload.
  * New upstream release. This one have a correctly encoded logo and it
    compiles (closes: #194984). Hello joeyh! :-)
  * Added anyway a patch by joeyh in vmw_string.c for not bothering about line
    feeds anymore.
  * This package is *not* Debian-native, so it needs to have .orig.tar.gz and
    a separate .diff.gz. While I'm at it, fixed as well.
  * Removed last stop from Description to stop lintian warning.
  * Fixed insertion of debhelper commands in postinst, thus shutting up
    lintian error.
  * As a side effect, in the new source tree, linux_logo.1 manpage is now
    compressed, but not max compressed. Fixed in debian/rules.
  * Added DH_COMPAT=1 in debian/rules for avoiding problems.
  * Upload sponsored by David Martínez Moreno <ender@debian.org>.

 -- Marius Kotsbak <marius@kotsbak.com>  Mon, 14 Jul 2003 15:32:43 +0200

linuxlogo (4.05-1) unstable; urgency=low

  * New upstream release (closes: #150036, #137506)

 -- Steve Kostecke <steve@kostecke.net>  Thu, 24 Oct 2002 22:36:55 -0400

linuxlogo (4.04-2) unstable; urgency=low

  * Added debhelper to Build-Depends: (closes: #158544)
  * Added /etc/linux_logo.conf (closes: #156021)
  * Added stop) to init script (closes: #139841)
  * Changed the logo order (closes: #86749)
  * Added debian classic and banners logos (closes: #158980, #163784)
  * Added -f to stored logos (closes: #138582)
  * Included upstream contrib/scripts in docs/linuxlogo/examples
  * Tweaked stored logos (init script)
  * Removed debconf

 -- Steve Kostecke <steve@kostecke.net>  Thu, 10 Oct 2002 10:24:17 -0400

linuxlogo (4.04-1) unstable; urgency=low

  * Upstream patch to _really_ fix the boot time segfault (closes: #155274)

 -- Steve Kostecke <steve@kostecke.net>  Tue, 27 Aug 2002 12:13:47 -0400

linuxlogo (4.04) unstable; urgency=low

  * New upstream release (closes: #155391)
  * Added patch from Julien Lemoine <speedblue@debian.org> to fix segfault
    at boot time; forwarded patch upstream (closes: #155274)

 -- Steve Kostecke <steve@kostecke.net>  Sun, 25 Aug 2002 22:48:46 -0400

linuxlogo (4.03) unstable; urgency=low

  * New upstream release
  * Added USAGE to debian/docs (closes: #154604)
  * Updated upstream URL in debian/README.Debian (closes: #154603)

 -- Steve Kostecke <steve@kostecke.net>  Tue, 30 Jul 2002 23:13:38 -0400

linuxlogo (4.02) unstable; urgency=low

  * New upstream release
  * Removed FLAGS= line from init script
  * Added stop target to the init script (closes: #139329)
  * Added -f to init script (closes: #138582)
  * Changed echo -n "done" to echo "done" (closes: #139096,#139123)
  * Changed echo -e "\n\n\n" to printf "\n\n\n" (closes: #138556)
  * Removed CHANGES from debian/docs (closes: #139163)
  * This version was not released.

 -- Steve Kostecke <steve@kostecke.net>  Thu, 06 Jun 2002 00:16:36 -0400

linuxlogo (4.01) unstable; urgency=low

  * New upstream release
  * This version was not released.

 -- Steve Kostecke <steve@kostecke.net>  Sat, 16 Feb 2002 10:04:49 -0500

linuxlogo (3.9b5) unstable; urgency=low

  * New upstream release.
  * Removed libsysinfo symlink deletion from debian/rules because
    this is now handled in the upstream Makefile.
  * Libsysinfo changes (from NMU) have been incorporated upstream.
  * This version was not released.

 -- Steve Kostecke <steve@kostecke.net>  Mon, 31 Dec 2001 16:05:46 -0500

linuxlogo (3.9b4-6) testing unstable; urgency=low

  * Modified diversion removal code in preinst to remove /etc/issue if
    the diversion to /etc/issue.linuxlogo exists. This is necessary to
    allow dpkg-divert to remove the diversion. Also added code to
    regenerate /etc/issue (if necessary, after the diversion removal).
    (closes #137007,137181)
  * Added 'display' target to init file and restored menu entry.
    (closes #134183)
  * Changed menu entry to use complete path (closes #96345)

 -- Steve Kostecke <steve@kostecke.net>  Wed, 06 Mar 2002 01:39:27 -0500

linuxlogo (3.9b4-5) testing unstable; urgency=low

  * Added diversion removal code to preinst.
  * Modified init file to write logo to /etc/issue.linuxlogo{.ascii}
  * Added debconf note about required local configuration.

 -- Steve Kostecke <steve@kostecke.net>  Thu, 21 Feb 2002 14:53:06 -0500

linuxlogo (3.9b4-4) testing unstable; urgency=low

  * Removed "display at login prompt" option (/etc/issue diversion,
    debconf support, etc) because Policy 11.7.4 prohibits the "sharing"
    of conffiles between packages. (closes #134954)
  * Removed all menu entries. (closes #134183)

 -- Steve Kostecke <steve@kostecke.net>  Thu, 21 Feb 2002 09:40:44 -0500

linuxlogo (3.9b4-3) unstable; urgency=low

  * Added linux_get_mem_size to libsysinfo-0.0.3/Linux/cpuinfo_s390.c
    (closes: #134581)
  * Updated man page (closes: #82953)
  * Applied patch for Intel Xeon to cpuinfo_ix86.c (closes: #134664)

 -- Steve Kostecke <steve@kostecke.net>  Mon, 18 Feb 2002 11:18:21 -0500

linuxlogo (3.9b4-2) unstable; urgency=low

  * Remove pagedown() from init script and prepend new-lines to
    /etc/issue. (closes: #93967,103676)
  * Applied Ben Collins' updated SPARC patch. (closes #120216)

 -- Steve Kostecke <steve@kostecke.net>  Sat, 16 Feb 2002 22:48:36 -0500

linuxlogo (3.9b4-1.2) unstable; urgency=low

  * Non-maintainer upload
  * Add support for s390. (Closes: #127470)

 -- Gerhard Tonn <gt@debian.org>  Wed, 23 Jan 2002 06:44:31 +0100

linuxlogo (3.9b4-1.1) unstable; urgency=low

  * NMU
  * Add support to the configure code for the ia64 architecture.
    (closes: Bug#104634)
  * Make sure that all the architectures specified in
    libsysinfo-0.0.3/arch.h are lower case so that the build
    process can find the proper cpuinfo_$arch.c file.  This
    should allow linuxlogo to build on several architectures
    3.9b4-1 couldn't build on.  (closes: Bug#109214)
  * Give package a build-depends line in the debian/control file.
  * Fix debian/rules so that the clean target works properly by
    removing a symlink that is created during the build.

 -- Doug Porter <dsp@debian.org>  Wed, 17 Oct 2001 10:27:13 -0600

linuxlogo (3.9b4-2) unstable; urgency=low

  * Version not released.
  * Use debconf to select the logo that will be displayed.
  * Added a conf file (/etc/linuxlogo).
  * Removed init script page_down() function & added extra blank lines
    to /etc/issue before the logo (Fixes #105975, #93967, #103676).
  * Changed to improved Debian Swirl (classic) logo.
  * Updated man page (Fixes #82953, #86749).

 -- Steve Kostecke <steve@kostecke.net>  Thu, 26 Jul 2001 08:33:56 -0400

linuxlogo (3.9b4-1) unstable; urgency=low

  * New upstream release (3.9b2 & 3 were not packaged for Debian).
  * Replaced 'echo -e' with printf in the init file to eliminate
    non-portable use of the echo command (fixes #96191).
  * Added German debconf template from Sebastian Feltel
    <sebastian@feltel.de> (fixes #95241).
  * Added Brazilian Portuguese debconf template from Ricardo
    Sandrin <strange@sdf.lonestar.org> (fixes #89328, #89330).
  * Updated man page (fixes #86749).
  * Added init script sub-routine to move on-screen text up 25 lines
    if bc is installed (fixes #93967).
  * Compiled in debian-banner logo.

 -- Steve Kostecke <steve@kostecke.net>  Sun, 10 Jun 2001 22:53:47 -0400

linuxlogo (3.9b1-2) unstable; urgency=low

  * Converted to use debconf.
  * [debian/rules] fixed sym-link for mini-icon (fixes #75859,83934).
  * Changed to default format to place the memory size on a seperate line
    (fixes: #84462,80960).
  * Removed /usr/doc -> /usr/share/doc symlink code from postinst since
  this is handled by dh_installdocs (Fixes #84463).
  * Removed $OPTIONS from the init file several revisions ago (fixes
    #80883,64588).
  * Forwarded Debian Swirl logos upstream (fixes #58632).
  * Eliminated usage of grep --invert-match in preinst (fixes #68826).
  * Change the init script priority to 99 (fixes #63578).
  * Removed fun logos. Compiled without logos for other distributions
    and operating systems.

 -- Steve Kostecke <steve@kostecke.net>  Fri, 09 Feb 2001 02:55:16 -0500

linuxlogo (3.9b1-1) unstable; urgency=low

  * New upstream release
  * Added debian modern and old logos (better than the previous ones)
  * Added fun logos
  * Changed all logos so they can be compiled (with provided logo2ascii
   script)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 30 Nov 2000 22:42:26 +0100

linuxlogo (3.0.5-3) unstable; urgency=low

  * Removed $OPTIONS from init file (fixes #41105) ???

 -- Steve Kostecke <steve@debian.org>  Tue, 23 May 2000 23:08:27 -0400

linuxlogo (3.0.5-2) unstable; urgency=low

  * Added fix for Celeron processors (Fixes #45601).
  * Change init script priority to 99 if still at default (Fixes #63578).

 -- Steve Kostecke <steve@debian.org>  Sat, 20 May 2000 17:28:49 -0400

linuxlogo (3.0.5-1) unstable; urgency=low

  * New upstream release.
  * Revert to Penguin Logo w/ Debian text.
  * The source now includes all of the Debian specific logo files used
    in the various versions of this package. Now anyone can build this
    package with the penguin/swirl/whatever of their choice.
  * Symlink for mini-penguin.xpm now installs properly (Fixes #58479).

 -- Steve Kostecke <steve@debian.org>  Thu, 18 May 2000 12:40:18 -0400

linuxlogo (3.0.2-3) unstable; urgency=low

  * Removed duplicate mini-penguin.xpm. Added symlink (Fixes #58479).

 -- Steve Kostecke <steve@debian.org>  Sun, 27 Feb 2000 23:49:52 -0500

linuxlogo (3.0.2-2) unstable; urgency=low

  * Replaced debian.h and ascii_debian.h files with new swirls.
  * Set install permissions for mini-penguin.xpm (now 0664) to fix
    a lintian error.

 -- Steve Kostecke <steve@debian.org>  Thu, 07 Oct 1999 11:14:34 -0400

linuxlogo (3.0.2-1) unstable; urgency=low

  * Added the original swirl files to the debian directory (Fixes #46588).
  * Added usr/X11R6/include/X11/pixmaps to debian/dirs (Fixes #46365).
  * Added code to postinst and prerem to manage the /usr/doc/ symlink
    (from the example by Peter Galbraith.)
  * Updated to Standards-Version 3.0.1.
  * New upstream release (includes my K6-III patch).

 -- Steve Kostecke <steve@debian.org>  Wed, 06 Oct 1999 11:08:05 -0400

linuxlogo (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Added debian/TODO entries (Fixes #40888, #40990, #41284).
  * Removed Debian Swirl Logo due to upstream changes (Fixes #45601).
  * Fixed faulty test in postinst (Fixes #43411).
  * Patched sysinfo_ix86.c to recognize my AMD K6-III.
  * New upstream release.

 -- Steve Kostecke <steve@debian.org>  Sun, 22 Aug 1999 10:22:06 -0400

linuxlogo (3.0-4) unstable; urgency=low

  * Removed bashism in debian/postinst (Fixes #43104).

 -- Steve Kostecke <steve@debian.org>  Thu, 19 Aug 1999 13:18:08 -0400

linuxlogo (3.0-3) stable unstable; urgency=low

  * Changed menu entry from multi-line to single line. Removed newline
    (\n) which caused a problem with pdmenu (Fixes: #42471).

 -- Steve Kostecke <steve@debian.org>  Wed, 11 Aug 1999 22:25:50 -0400

linuxlogo (3.0-2) unstable; urgency=low

  * Un-swapped debian/rules targets (Fixes: #40787).

 -- Steve Kostecke <steve@debian.org>  Tue, 06 Jul 1999 01:25:37 -0400

linuxlogo (3.0-1) stable unstable; urgency=low

  * Reworked the Debian swirl logo.
  * New upstream version with custom CPU info format (Fixes
    #27728, #33039, #36175, #36176, #38552, #39685).
  * Patched linux_logo.c to allow the inclusion of the Debian
    logo (or any distribution / vendor / third party logo) in addition
    to the original Classic and Banner logos (Fixes #30957, #34654).
    Still displays Debian logo by default. The Classic or Banner logo
    may be displayed by changing an option setting in
    /etc/init.d/linuxlogo or by passing the appropriate option on
    the command line.
  * Changed postinst handling of mini icon installation and
    fixed a related bug introduced by my 'fix' in 2.12-3.

 -- Steve Kostecke <steve@debian.org>  Tue, 15 Jun 1999 11:52:45 -0400

linuxlogo (2.12-3) stable unstable; urgency=low

  * Moved mini icon to /usr/share/icons/mini/ (Fixes #30470).
  * Fixed menu entry, again (Fixes: #34707).
  * Updated the Debian logo.

 -- Steve Kostecke <steve@debian.org>  Sun, 13 Jun 1999 01:56:40 -0400

linuxlogo (2.12-2) frozen,unstable; urgency=low

  * Added full path to xterm to the menu entry.
  * Removed menu entry (Fixes: #30681).
  * Fixed color error in debian.h.

 -- Steve Kostecke <steve@debian.org>  Fri, 20 Nov 1998 14:55:19 -0500

linuxlogo (2.12-1) unstable; urgency=low

  * New upstream release.
  * Changed the "Classic" logo image to the Debian Logo.  Based on ANSI art
    provided by Javier Fernandez-Sanguino Pen~a <jfs@dat.etsit.upm.es>.

 -- Steve Kostecke <steve@debian.org>  Wed, 18 Nov 1998 18:46:20 -0500

linuxlogo (2.07-1) unstable; urgency=low

  * New upstream release.
  * [defaults.h] Changed default display mode to the "Classic" logo.
  * [defaults.h] Use "Classic" logo w/ Debian text. Provided by
    Robert Edmonds <edmonds@freewwweb.com>.
  * [debian/menu] Linuxlogo now shows system uptime when started from the menu.

 -- Steve Kostecke <steve@debian.org>  Thu, 07 Aug 1998 11:00:00 -0400

linuxlogo (1.06-6) unstable; urgency=low

  * [debian/changelog] Changed distribution to unstable (Fixes: #25456).
  * [debian/init] Add escape codes (redirected from clear) to /etc/issue
    (Fixes #24337).
  * [debian/init] Use dpkg-divert instead of grep to test diversion
    (Fixes: #23600).
  * [debian/linuxlogoconfig] Corrected typo (Fixes: #23785).

 -- Steve Kostecke <steve@debian.org>  Thu, 09 Jul 1998 16:41:25 -0400

linuxlogo (1.06-5) frozen; urgency=low

  * Added 'frozen' to the changelog. Probably too little, too late.
  * Added patch from Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
    to fix missing m68k-specific variable in getsysinfo.c (Fixes: #22827).

 -- Steve Kostecke <steve@debian.org>  Wed, 3 Jun 1998 22:30:00 -0400

linuxlogo (1.06-4) unstable; urgency=low

  * Added 'frozen' to the changelog. Probably too late.
  * Changed architecture to 'any' (Fixes: #22253, #22256, #22446).

 -- Steve Kostecke <steve@debian.org>  Mon, 11 May 1998 14:41:38 -0400

linuxlogo (1.06-3) unstable; urgency=low

  * Fixed typo in linuxlogoconfig (Fixes: #22127).

 -- Steve Kostecke <steve@debian.org>  Wed, 06 May 1998 10:35:50 -0400

linuxlogo (1.06-2) unstable; urgency=low

  * Removed diversion of /etc/issue during installation, added
    linuxlogoconfig(8) w/man page, preinst & postrm now recreate the
    original /etc/issue if necessary (Fixes: #19679, #20175, #21114).
  * Fixed typo in the linux_logo.1 man page.
  * Changed architecture to 'all' (Fixes: #19694).

 -- Steve Kostecke <steve@debian.org>  Mon, 16 Mar 1998 08:42:25 -0500

linuxlogo (1.06-1) unstable; urgency=low

  * New maintainer.
  * New upstream release.
  * Added man page.
  * Rewrote menu entry to eliminate linux_logo_wait.
  * Added diversion of /etc/issue.

 -- Steve Kostecke <steve@debian.org>  Tue, 10 Mar 1998 15:53:35 -0500

linuxlogo (1.0-5) unstable; urgency=low

  * Fix the init.d script installation so it runs at boot again.

 -- Karl M. Hegbloom <karlheg@debian.org>  Wed, 14 Jan 1998 21:26:57 -0800

linuxlogo (1.0-4) unstable; urgency=low

  * New maintainer.

  * convert to debhelper.

 -- Karl M. Hegbloom <karlheg@debian.org>  Sat, 20 Dec 1997 14:18:52 -0800

linuxlogo (1.0-3) unstable; urgency=low

  * New maintainer.

 -- Ben J. Ciaccio <ben@righton.org>  Sat, 20 Sep 1997 13:48:20 -0800

linuxlogo (1.0-2) unstable; urgency=low

  * Rebuild on hamm.

 -- Christoph Lameter <clameter@debian.org>  Thu, 04 Sep 1997 19:51:44 -0700

linuxlogo (1.0-1) unstable; urgency=low

  * New upstream release

 -- Christoph Lameter <clameter@debian.org>  Fri, 18 Jul 1997 20:41:18 -0700

linuxlogo (0.2-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@debian.org>  Fri, 11 Jul 1997 17:35:58 -0700
